import 'dart:convert';

import '../app/constant.dart';

import '../app/constant.dart';
import 'base_repository.dart';

class KurirTolakRepository extends BaseRepository {
  KurirTolakRepository({required super.dio});

  Future<bool> getKurirTolak(
      {required String id,
      required String tipeId,
      required String deliveryId,
      required String note}) async {
    final url =
        "${Constant.baseUrl}/v1/courier/mobile/worklist/cancel/?id=$id&tipeid=$tipeId&deliveryid=$deliveryId&note=$note";
    final resp = await get(service: url);
    bool data = false;
    // print(resp['data']);

    if (resp["status"] == "OK") {
      data = true;
    }

    return data;
  }
}
